# __gnu_cxx::_ReversibleContainerConcept< _ReversibleContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _ReversibleContainer>
struct __gnu_cxx::_ReversibleContainerConcept< _ReversibleContainer >

Definition at line 633 of file boost_concept_check.h.

## Public Types

- typedef _ReversibleContainer::const_iterator _Const_iterator
- typedef _ReversibleContainer::const_reverse_iterator _Const_reverse_iterator

## Public Member Functions

- void __constraints ()

The documentation for this struct was generated from the following file:

- boost_concept_check.h